%define major	10
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:          log4cxx
Version:       0.10.0
Release:       %mkrel 9
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries
License:       ASL 2.0
Url:           http://logging.apache.org/log4cxx/
Source0:       ftp://apache.mirrors.tds.net/pub/apache.org/logging/log4cxx/0.10.0/apache-log4cxx-0.10.0.tar.gz
Patch0:        log4cxx-0.10.0-cstring.patch
BuildRequires: doxygen
BuildRequires: glibc-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: libdb4.8-devel
BuildRequires: libesmtp-devel
BuildRequires: libexpat-devel
BuildRequires: libext2fs-devel
BuildRequires: libgdbm-devel
BuildRequires: openldap2-devel
BuildRequires: libsasl2-devel
BuildRequires: libstdc++-devel
BuildRequires: libuuid-devel
#BuildRequires: libunixODBC-devel see https://issues.apache.org/jira/browse/LOGCXX-299

%description
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package -n %{libname}
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries
Obsoletes:     %{name} < 0.10.0-5

%description -n %{libname}
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package -n %{devname}
Group:         Development/C++
Summary:       Libraries and headers for %{name}
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}
Obsoletes:     %{name}-devel < 0.10.0-5
Obsoletes:     %{name}-static < 0.10.0-5

%description -n %{devname}
A port to C++ of the Apache Log4j project.

This package contains libraries and header files need for development.

%prep
%setup -q -n apache-log4cxx-%{version}
%autopatch -p1

%build

sed -i.libdir_syssearch -e '/sys_lib_dlsearch_path_spec/s|/usr/lib |%{_libdir} /%{_lib}|' configure
%configure2_5x \
  --disable-static \
  --with-SMTP=libesmtp
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

mv %{buildroot}%{_datadir}/log4cxx/html .

%files -n %{libname}
%doc KEYS LICENSE NOTICE
%{_libdir}/liblog4cxx.so.%{major}
%{_libdir}/liblog4cxx.so.%{major}.*

%files -n %{devname}
%doc html/
%dir %{_includedir}/log4cxx/
%{_includedir}/log4cxx/*.h
%{_includedir}/log4cxx/config
%{_includedir}/log4cxx/db
%{_includedir}/log4cxx/filter
%{_includedir}/log4cxx/helpers
%{_includedir}/log4cxx/net
%{_includedir}/log4cxx/nt
%{_includedir}/log4cxx/pattern
%{_includedir}/log4cxx/private
%{_includedir}/log4cxx/rolling
%{_includedir}/log4cxx/spi
%{_includedir}/log4cxx/varia
%{_includedir}/log4cxx/xml
%{_libdir}/liblog4cxx.so
%{_libdir}/pkgconfig/liblog4cxx.pc


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-9.mga6
+ Revision: 956044
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 neoclust <neoclust> 0.10.0-8.mga6
+ Revision: 869212
- Rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-7.mga5
+ Revision: 740139
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 681980
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 wally <wally> 0.10.0-5.mga5
+ Revision: 661342
- fix libification
- disable static build and drop .la files

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-4.mga4
+ Revision: 507524
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 358922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 pterjan <pterjan> 0.10.0-2.mga2
+ Revision: 227801
- Rebuild after libexpat.la removal

* Sat Nov 05 2011 gil <gil> 0.10.0-1.mga2
+ Revision: 163932
- imported package log4cxx


* Wed Jul 13 2011 gil <gil> 0.10.0-0.%%mkrel
- initial rpm

